# ╭───────────────────────────────────╮
# │ This file holds the content to    │
# │ install and configure the plugins │
# │ used by fisher, and of course the │
# │ fisher itself                     │
# ╰───────────────────────────────────╯
function check_fisher
    if not test -e $HOME/.config/fish/functions/fisher.fish
        curl -sL https://raw.githubusercontent.com/jorgebucaran/fisher/main/functions/fisher.fish | source
    end

    # Define plugins to use with fisher
    set plugins "PatrickF1/fzf.fish" "jorgebucaran/autopair.fish"

    # Loop for plugin installation/update
    for plugin in $plugins
        if fisher list | grep -q (basename $plugin)
            fisher update $plugin
            echo "Updated $plugin"
        else
            fisher install $plugin
            echo "Installed $plugin"
        end
    end

end
